=== packages/seacas/applications/slice/CMakeLists.txt ===
TRIBITS_SUBPACKAGE(Slice)

ASSERT_DEFINED(TPL_ENABLE_METIS)
IF (TPL_ENABLE_METIS)
   ADD_DEFINITIONS(-DUSE_METIS)
ENDIF()

TRIBITS_INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})

SET(HEADERS "")
APPEND_GLOB(SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.C)

TRIBITS_ADD_EXECUTABLE(
  slice
  NOEXEPREFIX
  NOEXESUFFIX
  SOURCES ${SOURCES}
  COMM serial mpi
  INSTALLABLE
  )

TRIBITS_SUBPACKAGE_POSTPROCESS()
